[Intel DP35DP, SigmaTel STAC9271D, Green Speaker, Rear] Underruns, dropouts or crackling sound

Bug #1540372 reported by nour on 2016-02-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

I cant record or play on my sound card ubuntu 14.04.1

Alsa is detecting the sound card
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC9271D Analog [STAC9271D Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC9271D Digital [STAC9271D Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

but PulseAudio is not detecting the card

attached the log file

Thank you

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.19.0-47.53~14.04.1-generic 3.19.8-ckt10
Uname: Linux 3.19.0-47-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tuned 1851 F.... pulseaudio
CurrentDesktop: Unity
Date: Mon Feb 1 15:09:35 2016
InstallationDate: Installed on 2015-10-26 (98 days ago)
InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
Symptom_Card: Built-in Audio - HDA Intel
Symptom_Jack: Green Speaker, Rear
Symptom_Type: Underruns, dropouts, or "crackling" sound
Title: [, SigmaTel STAC9271D, Green Speaker, Rear] Underruns, dropouts or crackling sound
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/02/2007
dmi.bios.vendor: Intel Corp.
dmi.bios.version: DPP3510J.86A.0293.2007.1002.1519
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DP35DP
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD81073-207
dmi.chassis.type: 2
dmi.modalias: dmi:bvnIntelCorp.:bvrDPP3510J.86A.0293.2007.1002.1519:bd10/02/2007:svn:pn:pvr:rvnIntelCorporation:rnDP35DP:rvrAAD81073-207:cvn:ct2:cvr:
mtime.conffile..etc.modprobe.d.alsa.base.conf: 2016-01-29T17:09:52.179523

nour (nourbteddini) wrote :
Raymond (superquad-vortex2) wrote :

Do your compu

It is strange that your intel dp35dp have three speakers, line out and hp jacks

There are only four dac but five output pin complexes

sound hdaudioC0D2: autoconfig: line_outs=1 (0xe/0x0/0x0/0x0/0x0) type:line
 sound hdaudioC0D2: speaker_outs=3 (0xd/0xf/0x10/0x0/0x0)
sound hdaudioC0D2: hp_outs=1 (0xa/0x0/0x0/0x0/0x0)
sound hdaudioC0D2: mono: mono_out=0x0
sound hdaudioC0D2: dig-out=0x21/0x0
sound hdaudioC0D2: inputs:
sound hdaudioC0D2: Mic=0xb
 sound hdaudioC0D2: Line=0xc

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Raymond (superquad-vortex2) wrote :

Try hdajacksensetest to test the jacks are line out jacks, hp jack

Use hdajackretask to fix the line out jacks and remove any reduandant pin complex

Raymond (superquad-vortex2) wrote :

Use model=5stack if your motherboard have five analog jacks at rear panel

Send email to alsa devel mailing list to add your pci ssid for pci quirk

nour (nourbteddini) wrote :

Hi Raymond, thx for the below

I added edited model= 5stack
because I have 5 analog jacks on my panel(Blue, Green, orange, pink, black,yellow )

actually pulse audio is detecting the sound card but seems not viewing the microphone or analog line in jacks
here the output of the list-sinks command
1 sink(s) available.
  * index: 4
 name: <alsa_output.pci-0000_00_1b.0.analog-stereo>
 driver: <module-alsa-card.c>
 flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY
 state: SUSPENDED
 suspend cause: IDLE
 priority: 9959
 volume: 0: 95% 1: 100%
         0: -1.23 dB 1: -0.08 dB
         balance 0.04
 base volume: 100%
              0.00 dB
 volume steps: 65537
 muted: no
 current latency: 0.00 ms
 max request: 0 KiB
 max rewind: 0 KiB
 monitor source: 5
 sample spec: s16le 2ch 48000Hz
 channel map: front-left,front-right
              Stereo
 used by: 0
 linked by: 0
 fixed latency: 80.00 ms
 card: 0 <alsa_card.pci-0000_00_1b.0>
 module: 5
 properties:
  alsa.resolution_bits = "16"
  device.api = "alsa"
  device.class = "sound"
  alsa.class = "generic"
  alsa.subclass = "generic-mix"
  alsa.name = "STAC9271D Analog"
  alsa.id = "STAC9271D Analog"
  alsa.subdevice = "0"
  alsa.subdevice_name = "subdevice #0"
  alsa.device = "0"
  alsa.card = "0"
  alsa.card_name = "HDA Intel"
  alsa.long_card_name = "HDA Intel at 0xe3220000 irq 33"
  alsa.driver_name = "snd_hda_intel"
  device.bus_path = "pci-0000:00:1b.0"
  sysfs.path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
  device.bus = "pci"
  device.vendor.id = "8086"
  device.vendor.name = "Intel Corporation"
  device.product.id = "293e"
  device.product.name = "82801I (ICH9 Family) HD Audio Controller"
  device.form_factor = "internal"
  device.string = "front:0"
  device.buffering.buffer_size = "14112"
  device.buffering.fragment_size = "1764"
  device.access_mode = "mmap"
  device.profile.name = "analog-stereo"
  device.profile.description = "Analog Stereo"
  device.description = "Built-in Audio Analog Stereo"
  alsa.mixer_name = "SigmaTel STAC9271D"
  alsa.components = "HDA:83847627,80863001,00100201"
  module-udev-detect.discovered = "1"
  device.icon_name = "audio-card-pci"
 ports:
  analog-output: Analog Output (priority 9900, latency offset 0 usec, available: unknown)
   properties:

  analog-output-headphones: Headphones (priority 9000, latency offset 0 usec, available: no)
   properties:
    device.icon_name = "audio-headphones"
 active port: <analog-output>
although I plugged a working microphone once in the pink jack and once in the Blue in line port.

kindly note that previously the system was detecting the sound card and I was able to get an input sound but now no.

One more question
now I have Ubuntu 14.04.3 LTS and kernel 3.19.0-49-generic

I checked and seems ubuntu 14.04.4 with kernel 4.2 was released in feb 2016

is there a way to get this update, might this help

Thank you

nour (nourbteddini) wrote :

One more thing

when I run alsa config I get Linux Distribution below:
!!Linux Distribution
!!------------------

Ubuntu 14.04.3 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu 14.04.3 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 14.04.3 LTS" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"

  when I run command:
uname -v
#55~14.04.1-Ubuntu SMP Fri Jan 22 11:24:31 UTC 2016

Why I am having different distributions?

Thank you

Raymond (superquad-vortex2) wrote :

NID 0x0a: cfg 0x02214020: [Jack] HP Out at Ext Front
NID 0x0b: cfg 0x02a19080: [Jack] Mic at Ext Front
NID 0x0c: cfg 0x0181304e: [Jack] Line In at Ext Rear
NID 0x0d: cfg 0x01014010: [Jack] Line Out at Ext Rear
NID 0x0e: cfg 0x01a19040: [Jack] Mic at Ext Rear
NID 0x0f: cfg 0x01011012: [Jack] Line Out at Ext Rear
NID 0x10: cfg 0x01016011: [Jack] Line Out at Ext Rear
NID 0x21: cfg 0x01442070: [Jack] SPDIF Out at Ext Rear

try

hdajacksensetest -a

when you plug and unplug the input jacks , hp jacks and those line out jacks to verify 5stack model match with your motherboard

nour (nourbteddini) wrote :

Hi Raymond

I installed sudo apt-get install alsa-tools-gui

I run hdajackretask

A window with the list of jacks appeared , I attached a screenshot so it would be clear

but I am not able to run
hdajacksensetest -a

Thanks

Raymond (superquad-vortex2) wrote :

http://git.alsa-project.org/?p=alsa-tools.git;a=tree;f=hdajacksensetest;hb=HEAD

http://www.intel.com/content/www/us/en/support/boards-and-kits/desktop-boards/000006687.html

D Mic in (re-task for multi-channel)

You need to ask Tiwai to add channel mode switch from 6ch to 8ch by retask mic jack for output

nour (nourbteddini) wrote :

Hi Raymond,

Some points I need to add here:

what I need from all this is an input that I can use to plug an analog from the Tv so I can stream it through vlc , through alsa default channels so I need an input jack, why shall I contact Tiwai to add channel mode switch from 6ch to 8ch by retask mic jack for output?
I need the mic or any input to get the stream , but for now when I open the soud system I get in the input field:

1 AnalogInput without any signal that's it is working
I run the command lspci -vnn

I got this with other results:
..
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
 Subsystem: Intel Corporation Device [8086:3001]
 Flags: bus master, fast devsel, latency 0, IRQ 33
 Memory at e3220000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel
....

I added the below line in /etc/modprobe.d/alsa-base.conf
options snd-hda-intel model=auto
options snd_hda_intel index=0 vid=8086 pid=293e

I dont know if the ports are not functioning , or muted

also in pavucontrol I get input
Analog input
Microphone(unplugged)
although I plugged a microphone in the Pink jack

one more thing you once mentioned "Send email to alsa devel mailing list to add your pci ssid for pci quirk"

do you mean thses pci ssid :
8086:293e

but as already mentioned, before sometime , I used to plug an analog cable from TV to a the Green input and was able to get a sound input , I am wondering if any system or kernel update caused issues with the Built-in inputs.

Thanks for the help.

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/HD-Audio-Controls.txt

You have to specify 5stack model for desktop and enable analog loopback, change line playback volume if you are connect tv out to blue line in jack

Raymond (superquad-vortex2) wrote :

The driver disable analog loopback for laptop to prevent feedback internal mic and internal speaker

summary: - [, SigmaTel STAC9271D, Green Speaker, Rear] Underruns, dropouts or
- crackling sound
+ [Intel DP35DP, SigmaTel STAC9271D, Green Speaker, Rear] Underruns,
+ dropouts or crackling sound
nour (nourbteddini) wrote :

Hi Raymond,

usually when I plug the TV analog cable in the pink jack and the speaker in the black jack in the desktop, I usually hear the audio of the TV with some noise in the speakers.

at the time in the sound settings no signal detected from the mic plugged.

One more thing how can I enable loopback as u mentioned above?

Thank you.

nour (nourbteddini) wrote :

hi Raymond,

Thanks for pointing all this, but I need your help here:

through you raised points I reached a summary that says , the Codec I have has loopback true

http://orion.lcg.ufrj.br/roma/ALSA.html

http://orion.lcg.ufrj.br/roma/scripts/codecs.txt

from the above link, I realized that my Codec

 cat /proc/asound/Intel/codec#*
Codec: SigmaTel STAC9271D
Address: 2
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x83847627
Subsystem Id: 0x80863001
Revision Id: 0x100201

Codec STAC9271D

9271(D)/2(D)/3(D)/4(D) has:
 #DACs = 5
#ADCs = 3
Analog loopback yes
Maximum sampling rate 192000

1 more thing according to Alsa modules
https://www.kernel.org/doc/Documentation/sound/alsa/HD-Audio-Models.txt

STAC9227/9228/9229/927x
=======================
  ref Reference board
  ref-no-jd Reference board without HP/Mic jack detection
  3stack D965 3stack
  5stack D965 5stack + SPDIF
  5stack-no-fp D965 5stack without front panel
  dell-3stack Dell Dimension E520
  dell-bios Fixes with Dell BIOS setup
  dell-bios-amic Fixes with Dell BIOS setup including analog mic
  volknob Fixes with volume-knob widget 0x24
  auto BIOS setup (default)

5stack is allocated to motherboards D965 right?
my motherboard is DP35DP

is this affecting in sound recognition?
what shall I do here?

I didnt get your summary at the end , in your last comment.

What should e done If PCM stream is muted due to loopback enable set to true
as per

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/HD-Audio-Controls.txt

IDT/Sigmatel codecs
-------------------

* Analog Loopback
  This control enables/disables the analog-loopback circuit. This
  appears only when "loopback" is set to true in a codec hint
  (see HD-Audio.txt). Note that on some codecs the analog-loopback
  and the normal PCM playback are exclusive, i.e. when this is on, you
  won't hear any PCM stream.

Thanks

nour (nourbteddini) wrote :

Attached are the screenshots for clarification:

nour (nourbteddini) wrote :
nour (nourbteddini) wrote :

One more thing here:
tuned@tuned-desktop:~$ cat /proc/asound/devices
  1: : sequencer
  2: [ 0] : control
  3: [ 0- 0]: digital audio playback
  4: [ 0- 0]: digital audio capture
  5: [ 0- 1]: digital audio playback
  6: [ 0- 2]: digital audio capture
  7: [ 0- 2]: hardware dependent

Raymond (superquad-vortex2) wrote :

Node 0x21 [Pin Complex] wcaps 0x400301: Stereo Digital
Control: name="SPDIF Phantom Jack", index=0, device=0
Pincap 0x00000010: OUT
Pin Default 0x01452170: [Jack] SPDIF Out at Ext Rear Conn = Optical, Color = Grey DefAssociation = 0x7, Sequence = 0x0 Misc = NO_PRESENCE
Pin-ctls: 0x40: OUT
Connection: 5
0x1e 0x1f 0x0b* 0x1c 0x1d

Seem only digital out can select source from digital audio output or ADCs

Node 0x22 [Pin Complex] wcaps 0x430681: Stereo Digital
 Pincap 0x00010024: IN EAPD Detect EAPD 0x0:
 Pin Default 0x000000fd: [Jack] Line Out at Ext N/A Conn = Unknown, Color = Unknown DefAssociation = 0xf, Sequence = 0xd Pin-ctls: 0x00: Unsolicited: tag=00, enabled=0 Power states: Power: setting=D0, actual=D0 Delay: 3 samples

Raymond (superquad-vortex2) wrote :

Simple mixer control 'IEC958 Playback Source',0
Capabilities: enum
Items: 'Digital Playback' 'ADAT' 'Analog Mux 1' 'Analog Mux 2' 'Analog Mux 3'
Item0: 'Analog Mux 1'

nour (nourbteddini) wrote :
Download full text (3.6 KiB)

hi Raymond,

I changed Item0 to Analo Mux

and I connected the HD Audio connector to the audio front pannel motherboard.
Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 127
  Mono: Playback 127 [100%] [0.00dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 127
  Mono:
  Front Left: Playback 127 [100%] [0.00dB] [on]
  Front Right: Playback 127 [100%] [0.00dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%] [-51.00dB]
  Front Right: Playback 0 [0%] [-51.00dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 127
  Mono:
  Front Left: Playback 0 [0%] [-99999.99dB] [on]
  Front Right: Playback 0 [0%] [-99999.99dB] [on]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 4
  Front Left: 3 [75%] [30.00dB]
  Front Right: 3 [75%] [30.00dB]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 127
  Mono:
  Front Left: Playback 0 [0%] [-99999.99dB] [on]
  Front Right: Playback 0 [0%] [-99999.99dB] [on]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 127
  Mono: Playback 0 [0%] [-99999.99dB] [on]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 127
  Mono: Playback 0 [0%] [-99999.99dB] [on]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Playback Source',0
  Capabilities: enum
  Items: 'Digital Playback' 'ADAT' 'Analog Mux 1' 'Analog Mux 2' 'Analog Mux 3'
  Item0: 'Analog Mux 1'
Simple mixer control 'Beep',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 3
  Mono: Playback 1 [33%] [-4.00dB]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 14
  Front Left: Capture 14 [100%] [21.00dB] [on]
  Front Right: Capture 14 [100%] [21.00dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 14
  Front Left: Capture 14 [100%] [21.00dB] [off]
  Front Right: Capture 14 [100%] [21.00dB] [off]
Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 14
  Front Left: Capture 14 [100%] [21.00dB] [off]
  Front Right: Capture 14 [100%] [21.00dB] [off]
Simple mixer control 'Auto-Mute Mode',0
  Capabilit...

Read more...

1 comments hidden view all 143 comments
nour (nourbteddini) wrote :

Hi,

I read an article stating that this board needs patching so that audio functions:

http://wiki.osx86project.org/wiki/index.php/HCL_10.5.0#Intel_2

DP35DP Intel P35 Chipset All working except for audio and LAN ; Time Machine not working Audio and LAN don't work Unknown

what they mean by patching?
anything to be done regarding this.

Thanks

nour (nourbteddini) wrote :

Hi Raymond,

I Reinstalled ubuntu 14.04.3 LTS the latest
amd still same issue In Sound Settings
Input part: Analog Built-in Input detected but no signal of a sound seen

in alsamixer , I just see Input Source and Mic Boos, I can't see any Line or Mic there.

When I pug the analog jack from the Tc to front mic and a speaker in front headphones

I can hear the sound from the TV but with noise.

these are the inputs from pcm and sound cards

G0: system timer : 4000.000us (10000000 ticks)│ │
│ │▒▒│ │P0-0-0: PCM playback 0-0-0 : SLAVE │ │
│ │▒▒│ │P0-0-1: PCM capture 0-0-1 : SLAVE │ │
│ │▒▒│ │P0-1-0: PCM playback 0-1-0 : SLAVE │ │
│ │▒▒│ │P0-2-1: PCM capture 0-2-1 : SLAVE │ │
│ │▒▒│ │P0-2-3: PCM capture 0-2-3 : SLAVE

 /proc/asound/pcm ─────────────────────────┐ │
│ │00-00: STAC9271D Analog : STAC9271D Analog : playback 1 : capture 1│ │
│ │00-01: STAC9271D Digital : STAC9271D Digital : playback 1 │ │
│ │00-02: STAC9271D Alt Analog : STAC9271D Alt Analog : capture 2

Does this means that I should capture voice on alsa channel:
 vlc alsa://plughw:0,0,1
and listen on vlc alsa://plughw:0,0,0

but when I run vlc alsa://plughw:0,0,1

Your input can't be opened:
VLC is unable to open the MRL 'alsa://plughw:0,0,1'. Check the log for details.

Any help would be appreciated.
Thanks

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda?id=5f10c4a9a0c02597206fe2f027026ee25d3e07ad

The support of analog loopback was added, you have to file upstream bug report if this is a regression

nour (nourbteddini) wrote :

Hi Raymond,

Thanks for the help,
sorry for my question but I am new to ubuntu, actually I didn’t get what shall I do next, could you please clarify
shall I download any new updated Alsa library?
also what do you mean with regression?

thanks

nour (nourbteddini) wrote :

Hi again.

Shall I create a folder in linux/sound/pci/hda/patch_sigmatel.c?

or I shall download an updated Kernel alsa libraries?
 !!Kernel Information
!!------------------

Kernel release: 3.19.0-49-generic
Operating System: GNU/Linux
Architecture: x86_64
Processor: x86_64
SMP Enabled: Yes

!!ALSA Version
!!------------

Driver version: k3.19.0-49-generic
Library version: 1.0.27.2
Utilities version: 1.0.27.2

thanks

nour (nourbteddini) wrote :

Shall I upgrade Alsa driver
I went to this page
https://code.launchpad.net/~ubuntu-audio-dev/+archive/ubuntu/alsa-daily/+packages

I have kernel 3.19
linux 14.04.3

so I chose oem-audio-hda-daily-lts-vivid-dkms - 0.201602151801~ubuntu14.04.1

but seems there is no .deb file and I can see Build Failed in the description of the package

What shall I do in this case?
thanks

nour (nourbteddini) wrote :

Hi,

I installed ubuntu 15.10
kernel 4.2

and I downloaded the alsa daily dkms
oem-audio-hda-daily-dkms - 0.201602161801~ubuntu15.10.1

but still nothing

something I have to mention that I have a hardware that is bieng recognized as a playback and capture
 cat /proc/asound/pcm
00-00: STAC9271D Analog : STAC9271D Analog : playback 1 : capture 1
00-01: STAC9271D Digital : STAC9271D Digital : playback 1
00-02: STAC9271D Alt Analog : STAC9271D Alt Analog : capture 2

Could this be affecting?

Thanks

Raymond (superquad-vortex2) wrote :

Don't create "Analog Loopback" controls as default since these controls are usually more harmful than useful for normal users. Only created when "loopback = yes" hint is given.

You have to enable loopback by hint loopback=true using early patching

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/HD-Audio.txt

Raymond (superquad-vortex2) wrote :

Codec: SigmaTel STAC9271D Address: 2 AFG Function Id: 0x1 (unsol 1) Vendor Id: 0x83847627 Subsystem Id: 0x80863001 Revision Id: 0x100201 No Modem Function Group found Default PCM: rates [0x7e0]: 44100 48000 88200 96000 176400 192000 bits [0xe]: 16 20 24 formats [0x1]: PCM Default Amp-In caps: ofs=0x00, nsteps=0x0e, stepsize=0x05, mute=0 Default Amp-Out caps: ofs=0x7f, nsteps=0x7f, stepsize=0x02, mute=1 State of AFG node 0x01: Power states: D0 D1 D2 D3 Power: setting=D0, actual=D0 GPIO: io=3, o=0, i=0, unsolicited=0, wake=1 IO[0]: enable=1, dir=1, wake=0, sticky=0, data=1, unsol=0 IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0 IO[2]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
Analog Loopback: 0x00

This should be non zero when analog loopback is enabled by hint

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=d78d7a90adf793943cc29a414b6f4364a700aad5

};

+static struct snd_kcontrol_new stac927x_loopback[] = {
+ STAC_ANALOG_LOOPBACK(0xFEB, 0x7EB, 1),
+ {}
+};
+

+ if (spec->aloopback_ctl &&
+ snd_hda_get_bool_hint(codec, "loopback") == 1) {
+ err = snd_hda_add_new_ctls(codec, spec->aloopback_ctl);
+ if (err < 0)
+ return err;
+ }
+

nour (nourbteddini) wrote :

Hi Raymond,

I ran this :
sudo modinfo snd-aloop
filename: /lib/modules/4.2.0-27-generic/kernel/sound/drivers/snd-aloop.ko
license: GPL
description: A loopback soundcard
author: Jaroslav Kysela <email address hidden>
srcversion: 0A4CE16C028DAB4BC8260D3
depends: snd-pcm,snd
intree: Y
vermagic: 4.2.0-27-generic SMP mod_unload modversions
signer: Build time autogenerated kernel key
sig_key: 94:21:CE:78:F7:DD:69:32:D7:A7:1D:3B:AB:89:BB:03:6A:FA:29:EB
sig_hashalgo: sha512
parm: index:Index value for loopback soundcard. (array of int)
parm: id:ID string for loopback soundcard. (array of charp)
parm: enable:Enable this loopback soundcard. (array of bool)
parm: pcm_substreams:PCM substreams # (1-8) for loopback driver. (array of int)
parm: pcm_notify:Break capture when PCM format/rate/channels changes. (array of int)

Does this means that
 CONFIG_SND_HDA_PATCH_LOADER=y is set, si I can pass a "patch" ?

Thanks

Raymond (superquad-vortex2) wrote :

patch file is a plain text file which looks like below: ------------------------------------------------------------------------ [codec] 0x12345678 0xabcd1234 2 [model] auto [pincfg] 0x12 0x411111f0 [verb] 0x20 0x500 0x03 0x20 0x400 0xff [hint] jack_detect = no ------------------------------------------------------------------------ The file needs to have a line `[codec]`. The next line should contain three numbers indicating the codec vendor-id (0x12345678 in the example), the codec subsystem-id (0xabcd1234) and the address (2) of the codec. The rest patch entries are applied to this specified codec until another codec entry is given. Passing 0 or a negative number to the first or the second value will make the check of the corresponding field be skipped. It'll be useful for really broken devices that don't initialize SSID properly. The `[model]` line allows to change the model name of the each codec. In the example above, it will be changed to model=auto. Note that this overrides the module option. After the `[pincfg]` line, the contents are parsed as the initial default pin-configurations just like `user_pin_configs` sysfs above. The values can be shown in user_pin_configs sysfs file, too. Similarly, the lines after `[verb]` are parsed as `init_verbs` sysfs entries, and the lines after `[hint]` are parsed as `hints` sysfs entries, respectively. Another example to override the codec vendor id from 0x12345678 to 0xdeadbeef is like below: ------------------------------------------------------------------------ [codec] 0x12345678 0xabcd1234 2 [vendor_id] 0xdeadbeef ------------------------------------------------------------------------ In the similar way, you can override the codec subsystem_id via `[subsystem_id]`, the revision id via `[revision_id]` line. Also, the codec chip name can be rewritten via `[chip_name]` line. ------------------------------------------------------------------------ [codec] 0x12345678 0xabcd1234 2 [subsystem_id] 0xffff1111 [revision_id] 0x10 [chip_name] My-own NEWS-0002 ------------------------------------------------------------------------ The hd-audio driver reads the file via request_firmware(). Thus, a patch file has to be located on the appropriate firmware path, typically, /lib/firmware. For example, when you pass the option `patch=hda-init.fw`, the file /lib/firmware/hda-init.fw must be present. The patch module option is specific to each card instance, and you need to give one file name for each instance, separated by commas. For example, if you have two cards, one for an on-board analog and one for an HDMI video board, you may pass patch option like below: ------------------------------------------------------------------------ options snd-hda-intel patch=on-board-patch,hdmi-patch -----------------------------------------------------------------

nour (nourbteddini) wrote :

Hi Raymond,

one more question after I create the patch file in /lib/firmware, let's say file name hda-init.fw

I only have to add the option in alsa-config file right:

this way

options snd-hda-intel patch=hda-init.fw

or this
options snd-hda-intel patch=hda-init

thanks

nour (nourbteddini) wrote :

Shall I add the below as well?
[pincfg]
  0x12 0x411111f0

  [verb]
  0x20 0x500 0x03
  0x20 0x400 0xff

so far this what I have in the patch file , any additional fields required?

------------------------------------------------------------------------
  [codec]
  0x83847627 0x80863001 2

  [model]
  auto

  [hint]
  loopback = yes

anything else should be added

thanks.

Raymond (superquad-vortex2) wrote :

You need to specify model 5stack or correct pincfg

Hint loopback

Did red light of your optical spdif turn on when you switch iec958 playback switch

nour (nourbteddini) wrote :

Hi Raymond

I added the 5stack model to patchfile, I plugged the audio cable from the TV to the front mic and alsamixer shows the below attached screenshots

FromtMic is detected as a playback and capture device.

but I cant get any sound input.

concerning optical spdif I dont have anylight indicator.

one more thing, I got an Audio splitter, when I plug the gable from the TV and speakers to the audio splitter and plug it in any mic or line in jack, I can hear the sound of the tV from the speaker.

Thanks.

nour (nourbteddini) wrote :

Sorry didn't attach the images

nour (nourbteddini) wrote :
63 comments hidden view all 143 comments
Raymond (superquad-vortex2) wrote :

speaker-test -c2 -t wav -D hw:0,2

After you add hint indep_hp=1

use amixer to enable independent headphone

You can playback audio to headphone and 5.1 audio to rear panel jacks

7.1 require retasking blue jack as side line out jack with same default association bit higher sequence number

nour (nourbteddini) wrote :
Download full text (32.7 KiB)

Hi Raymond this the alsa info when
options snd-hda-intel power_save=0 power_save_controller=N

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.64
!!################################

!!Script ran on: Thu Feb 25 08:27:59 UTC 2016

!!Linux Distribution
!!------------------

Ubuntu 14.04.4 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu 14.04.4 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 14.04.4 LTS" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"

!!DMI Information
!!---------------

Manufacturer:
Product Name:
Product Version:
Firmware Version: DPP3510J.86A.0293.2007.1002.1519

!!Kernel Information
!!------------------

Kernel release: 3.19.0-51-generic
Operating System: GNU/Linux
Architecture: x86_64
Processor: x86_64
SMP Enabled: Yes

!!ALSA Version
!!------------

Driver version: k3.19.0-51-generic
Library version: 1.0.27.2
Utilities version: 1.0.27.2

!!Loaded ALSA modules
!!-------------------

snd_hda_intel

!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

!!Soundcards recognised by ALSA
!!-----------------------------

 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xe3220000 irq 32

!!PCI Soundcards installed in the system
!!--------------------------------------

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!-------------------------------------------------------

00:1b.0 0403: 8086:293e (rev 02)
 Subsystem: 8086:3001

!!Modprobe options (Sound related)
!!--------------------------------

snd_atiixp_modem: index=-2
snd_intel8x0m: index=-2
snd_via82xx_modem: index=-2
snd_usb_audio: index=-2
snd_usb_caiaq: index=-2
snd_usb_ua101: index=-2
snd_usb_us122l: index=-2
snd_usb_usx2y: index=-2
snd_cmipci: mpu_port=0x330 fm_port=0x388
snd_pcsp: index=-2
snd_usb_audio: index=-2
snd_hda_intel: patch=hda-init.fw
snd_hda_intel: power_save=0 power_save_controller=N

!!Loaded sound module options
!!---------------------------

!!Module: snd_hda_intel
 align_buffer_size : -1
 bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
 beep_mode : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
 enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
 enable_msi : -1
 id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
 index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
 jackpoll_ms : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
 model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(n...

Raymond (superquad-vortex2) wrote :

There were swap center/lfe and line in as output in previous version

http://mailman.alsa-project.org/pipermail/alsa-devel/2009-March/015848.html

The left and right channel can be swapped by hda analyser

R/L

http://www.alsa-project.org/main/index.php/HDA_Analyzer

nour (nourbteddini) wrote :

~$ sudo hda-verb /dev/snd/hwC0D2 0x0 GET_PIN_SENSE 0
nid = 0x0, verb = 0xf09, param = 0x0
value = 0x0
:~$ sudo hda-verb /dev/snd/hwC0D2 0xb GET_PIN_SENSE 0
nid = 0xb, verb = 0xf09, param = 0x0
value = 0x3fffdfff
:~$ sudo hda-verb /dev/snd/hwC0D2 0xe GET_PIN_SENSE 0
nid = 0xe, verb = 0xf09, param = 0x0
value = 0x3fffdfff
:~$ sudo hda-verb /dev/snd/hwC0D2 0xc GET_PIN_SENSE 0
nid = 0xc, verb = 0xf09, param = 0x0
value = 0x3fffdfff
:~$ sudo hda-verb /dev/snd/hwC0D2 0xa GET_PIN_SENSE 0
nid = 0xa, verb = 0xf09, param = 0x0
value = 0x0

Raymond (superquad-vortex2) wrote :

Simple mixer control 'Side',0 Capabilities: pvolume pswitch Playback channels: Front Left - Front Right Limits: Playback 0 - 127 Mono: Front Left: Playback 127 [100%] [0.00dB] [off] Front Right: Playback 127 [100%] [0.00dB] [off]

 Simple mixer control 'Line In as Output',0 Capabilities: pswitch pswitch-joined Playback channels: Mono Mono: Playback [off]

nour (nourbteddini) wrote :

Hi Raymond I didnt get #109, what this means/
Thanks

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=0fb87bb474f978446786263deff6263284e6e011

hda-codec - add support for swapping center/LFE channels to STAC codecs

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=7c922de709b90badc19705e4f998e6d5b44c419b

This patch changes Line In as Out Switch and Mic In as Out Switch to enums for consistency, and causes all mic and line in ports to be probed and controls to be added appropriately.

These feature were lost

nour (nourbteddini) wrote :

Hi Raymond

If these features were lost, what shall I do, what caused this ?

kindly note that before Jan 22 , my sound was working normally.

I guess a kernel update caused all this mess

Thanks.

nour (nourbteddini) wrote :

I added

hint indep_hp=1

enabled independent headphone

tried to test the speaker

tuned@tuned-desktop:~$ speaker-test -c6 -t wav -D hw:0,0

speaker-test 1.0.27.2

Playback device is hw:0,0
Stream parameters are 48000Hz, S16_LE, 6 channels
WAV file(s)
Rate set to 48000Hz (requested 48000Hz)
Buffer size range from 22 to 5461
Period size range from 11 to 2730
Using max buffer size 5460
Periods = 4
was set period_size = 1365
was set buffer_size = 5460
 0 - Front Left
 4 - Center
 1 - Front Right
 3 - Rear Right
 2 - Rear Left
 5 - LFE
Time per period = 8.535629
 0 - Front Left

but no sound

If I retask Blue Line in to Line out
~$ hdajackretask -a
0x0a 0x02214020
0x0b 0x02a19080
0x0c 0x0101304e
0x0d 0x01014010
0x0e 0x01a19040
0x0f 0x01011012
0x10 0x01016011
0x11 0x40000100
0x12 0x40000100
0x21 0x01452170
0x22 0x000000fd

~$ speaker-test -c6 -t wav -D hw:0,0

speaker-test 1.0.27.2

Playback device is hw:0,0
Stream parameters are 48000Hz, S16_LE, 6 channels
WAV file(s)
Channels count (6) not available for playbacks: Invalid argument
Setting of hwparams failed: Invalid argument

nour (nourbteddini) wrote :

Shall I install another kernel version?

another ubuntu version

Raymond (superquad-vortex2) wrote :

Do you mean jack detect work on ubuntu 14.04 live usb? Kernel 4.2

Pin default are incorrect since use of generic parser

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/log/sound/pci/hda?ofs=50

You need to perform git bisect to find out which commit is the cause of the regression

Raymond (superquad-vortex2) wrote :

As your analog loopback use afg instead of audio mixer widget, the driver may power down the input path and output path

Raymond (superquad-vortex2) wrote :

For 7.1

Line in must change to line out with same def association

0x0c 0x0101304e

Raymond (superquad-vortex2) wrote :

The easy way to determine which node is which jack is jack detect

If jack detect fail, need to test the output channel of each jack by speaker test and. Input source by capture

Raymond (superquad-vortex2) wrote :

You have to send email to the author

define stac92xx_clfe_switch_info snd_ctl_boolean_mono_info
-
-static int stac92xx_clfe_switch_get(struct snd_kcontrol *kcontrol,
- struct snd_ctl_elem_value *ucontrol)
-{
- struct hda_codec *codec = snd_kcontrol_chip(kcontrol);
- struct sigmatel_spec *spec = codec->spec;
-
- ucontrol->value.integer.value[0] = spec->clfe_swap;
- return 0;
-}
-
-static int stac92xx_clfe_switch_put(struct snd_kcontrol *kcontrol,
- struct snd_ctl_elem_value *ucontrol)
-{
- struct hda_codec *codec = snd_kcontrol_chip(kcontrol);
- struct sigmatel_spec *spec = codec->spec;
- hda_nid_t nid = kcontrol->private_value & 0xff;
- unsigned int val = !!ucontrol->value.integer.value[0];
-
- if (spec->clfe_swap == val)
- return 0;
-
- spec->clfe_swap = val;
-
- snd_hda_codec_write_cache(codec, nid, 0, AC_VERB_SET_EAPD_BTLENABLE,
- spec->clfe_swap ? 0x4 : 0x0);
-
- return 1;
-}
-

Raymond (superquad-vortex2) wrote :

https://code.launchpad.net/ubuntu/+source/alsa-driver

The last modified date of trusty was 2013

Do you mean upgrade or update?

Raymond (superquad-vortex2) wrote :

The codec should return 0x80000000 when jack is plugged

Try execute SET_PIN_SENSE before GET_PIN_SENSE using hda verb for those pin complex. Node

nour (nourbteddini) wrote :

Hi Raymond,

I mean a kernel update or any automatic update that occurred and ruined the voice.

Raymond (superquad-vortex2) wrote :

As your pin defaults are not correct

[ 17.585436] sound hdaudioC0D2: ignore pin 0x11 with mismatching assoc# 0xf vs 0x6

It only work when you were using static config i.e. before using generic parser patch

nour (nourbteddini) wrote :

Hi Raymond,

what should be done ,any suggestion?

Thanks

nour (nourbteddini) wrote :

Hi Raymond,

you mentioned in your comment #121
You have to send email to the author

what shall I say for the author, anything specific should be addressed to him.

1 more thing, I can hear a noise coming from the speaker connected to the Black Jack of the Rear Panel
and this noise becomes louder when scrolling down in the mouse...

I dont know if this might help in anything.

Supposing the Problem is that the digial output
 is default/only recognized.
Coud adding the
 following help?

> /etc/pulse/default.pa
>
> load-module module-alsa-sink device=hw:0,2
> set-default-sink 0

Thanks.

Raymond (superquad-vortex2) wrote :

You have to find out your onboard audio still work with jack detection and analog back at which version of alsa driver/kernel by boot from live cd

in theory, you lost the automute feature when jack detection of hp is not functioning but the aggressive power saving use jack detection to power down the widgets in unused path this may mean analog loopback only function when some appplication open both playback and capture stream

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=eb63212868c348cc6d3ec6929d7d98f7d29493e9

ALSA: hda - Power up always when no jack detection is available
When no jack detection is available, the pins should be always
turned on since it can't be turned on/off dynamically via unsol
events.

This mean you need to set bit 8 of all jacks if jack detect always fail

nour (nourbteddini) wrote :

Hi Raymond,

Concerning ur comment #128

I already added the front pane lIntel® HD Audio to the Audio pin connector onboard
 http://www.intel.com/content/www/us/en/support/boards-and-kits/desktop-boards/000005512.html

I did so month ago, but no progress.

But how could I set bit 8 of all jacks as per your comment #129
Thanks

nour (nourbteddini) wrote :

~$ sudo python run.py --monitor
Using temporary directory: /dev/shm/hda-analyzer
You may remove this directory when finished or if you like to
download the most recent copy of hda-analyzer tool.
File cached /dev/shm/hda-analyzer/hda_analyzer.py
File cached /dev/shm/hda-analyzer/hda_guilib.py
File cached /dev/shm/hda-analyzer/hda_codec.py
File cached /dev/shm/hda-analyzer/hda_proc.py
File cached /dev/shm/hda-analyzer/hda_graph.py
File cached /dev/shm/hda-analyzer/hda_mixer.py
Downloaded all files, executing hda_analyzer.py
Invalid AFG subtree for codec SigmaTel STAC9271D?
Traceback (most recent call last):
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 546, in <module>
    sys.exit(main(sys.argv))
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 523, in main
    if read_nodes(sys.argv[1:]) == 0:
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 89, in read_nodes
    read_nodes2(c.card, i)
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 69, in read_nodes2
    c.analyze()
  File "/run/shm/hda-analyzer/hda_codec.py", line 1171, in analyze
    func = self.param_read(nid, PARAMS['FUNCTION_TYPE'])
  File "/run/shm/hda-analyzer/hda_codec.py", line 1067, in param_read
    return self.rw(nid, VERBS['PARAMETERS'], param)
  File "/run/shm/hda-analyzer/hda_codec.py", line 1051, in rw
    res = ioctl(self.fd, IOCTL_VERB_WRITE, struct.pack('II', verb, 0))
struct.error: 'I' format requires 0 <= number <= 4294967295

What this means?
Invalid AFG subtree for codec SigmaTel STAC9271D

nour (nourbteddini) wrote :

I attached the HDA analyzer
afetr running this command

python run.py /tmp/alsa-info.txt.ufGDXnj2wB

Using temporary directory: /dev/shm/hda-analyzer
You may remove this directory when finished or if you like to
download the most recent copy of hda-analyzer tool.
File cached /dev/shm/hda-analyzer/hda_analyzer.py
File cached /dev/shm/hda-analyzer/hda_guilib.py
File cached /dev/shm/hda-analyzer/hda_codec.py
File cached /dev/shm/hda-analyzer/hda_proc.py
File cached /dev/shm/hda-analyzer/hda_graph.py
File cached /dev/shm/hda-analyzer/hda_mixer.py
Downloaded all files, executing hda_analyzer.py
Codec 0/2 unavailable - permissions...
Invalid AFG subtree for codec SigmaTel STAC9271D?

Raymond (superquad-vortex2) wrote :

You have to specify which codec proc

/proc/asound/card0/codec#0

nour (nourbteddini) wrote :

Hi Raymond

where should I add this?

Thanks

Raymond (superquad-vortex2) wrote :

hda_analyzer - a tool to analyze HDA codecs widgets and connections

  Usage: hda_analyzer [[codec_proc] ...]
     or: hda_analyzer --monitor

      codec_proc might specify multiple codec files per card:
          codec_proc_file1+codec_proc_file2
      or codec_proc might be a dump from alsa-info.sh
      or codec_proc might be a hash for codec database at www.alsa-project.org
      or codec_proc might be a URL for codec dump or alsa-info.sh dump

You need root privilege to run

sudo

nour (nourbteddini) wrote :

how could I set bit 8 of all jacks as per your comment #129
Thanks

nour (nourbteddini) wrote :

The only Codec I have is
python run.py /proc/asound/card0/codec#2

which results in this screenshot

nour (nourbteddini) wrote :

resinstalled alsa
sudo apt-get update;sudo apt-get dist-upgrade; sudo apt-get install pavucontrol linux-sound-base alsa-base alsa-utils lightdm ubuntu-desktop linux-image-`uname -r` libasound2; sudo apt-get -y --reinstall install linux-sound-base alsa-base alsa-utils lightdm ubuntu-desktop linux-image-`uname -r` libasound2; killall pulseaudio; rm -r ~/.pulse*; ubuntu-support-status; sudo usermod -aG `cat /etc/group | grep -e '^pulse:' -e '^audio:' -e '^pulse-access:' -e '^pulse-rt:' -e '^video:' | awk -F: '{print $1}' | tr '\n' ',' | sed 's:,$::g'` `whoami`

and then run:
python run.py /proc/asound/card0/codec#2
Got the attached HD Analyser

As I can see PIN Blue LinIN

widget control is IN Out shall I uncheck the Out?

Raymond (superquad-vortex2) wrote :

by passing `jack_detect = no` string
via sysfs or a patch file, you can disable the jack detection, thus
the codec parser will skip the features like auto-mute or mic
auto-switch.

The driver create headphone phantom jack and lineout phantom jack instead of headphone jack and lineout jack

Pulseaudio treat the jack state as unknown instead of no

Not sure you need to manually switch between those port with unknown jack state, hp, line out and spdif

Raymond (superquad-vortex2) wrote :

Linux 3.19.0-47-generic x86_64

Seem different from 16.04.4 kernel 4.x

nour (nourbteddini) wrote :

hi Raymond,

What this means? shall I install anything else?

Thanks

Displaying first 40 and last 40 comments. View all 143 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.